org.icefaces.ace.model.chart

## Class GaugeSeries

- java.lang.Object
- - org.icefaces.ace.model.chart.ChartSeries
  - - org.icefaces.ace.model.chart.GaugeSeries

- All Implemented Interfaces:
    java.io.Serializable

      public class GaugeSeries
      extends ChartSeries

  The 'series' modeling the value and configuration of the gauge chart type. User: Nils Date: 10/19/12 Time: 9:50 AM
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GaugeSeries.GaugeType`
    `static class` | `GaugeSeries.LabelPosition`

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.model.chart.ChartSeries

      `ChartSeries.ChartType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `background`
    `java.lang.Integer` | `diameter`
    `java.lang.Integer` | `hubRadius`
    `java.lang.String[]` | `intervalColors`
    `java.lang.Number` | `intervalInnerRadius`
    `java.lang.Number` | `intervalOuterRadius`
    `java.lang.Number[]` | `intervals`
    `java.lang.String` | `label`
    `java.lang.Integer` | `labelHeightAdjust`
    `GaugeSeries.LabelPosition` | `labelPosition`
    `java.lang.Number` | `max`
    `java.lang.Number` | `min`
    `java.lang.Integer` | `needlePad`
    `java.lang.Integer` | `needleThickness`
    `java.lang.Number` | `padding`
    `java.lang.Boolean` | `pegNeedle`
    `java.lang.String` | `ringColor`
    `java.lang.Integer` | `ringWidth`
    `java.lang.Boolean` | `showTickLabels`
    `java.lang.Boolean` | `showTicks`
    `java.lang.String` | `tickColor`
    `java.lang.Integer` | `tickPadding`
    `java.lang.Number[]` | `ticks`
    `java.lang.Integer` | `tickSpacing`
    `java.lang.Number` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaugeSeries()`
    `GaugeSeries(java.lang.Number value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeRendererOptions(JSONBuilder cfg)`
    `java.lang.String` | `getBackground()`
    `JSONBuilder` | `getConfigJSON(javax.faces.component.UIComponent component)`
    `JSONBuilder` | `getDataJSON(javax.faces.component.UIComponent component)`
    `ChartSeries.ChartType` | `getDefaultType()`
    `java.lang.Integer` | `getDiameter()`
    `java.lang.Integer` | `getHubRadius()`
    `java.lang.String[]` | `getIntervalColors()`
    `java.lang.Number` | `getIntervalInnerRadius()`
    `java.lang.Number` | `getIntervalOuterRadius()`
    `java.lang.Number[]` | `getIntervals()`
    `java.lang.String` | `getLabel()` Return the label of the chart.
    `java.lang.Integer` | `getLabelHeightAdjust()`
    `GaugeSeries.LabelPosition` | `getLabelPosition()`
    `java.lang.Number` | `getMax()`
    `java.lang.Number` | `getMin()`
    `java.lang.Integer` | `getNeedlePad()`
    `java.lang.Integer` | `getNeedleThickness()`
    `java.lang.Number` | `getPadding()`
    `java.lang.Boolean` | `getPegNeedle()`
    `java.lang.String` | `getRingColor()`
    `java.lang.Integer` | `getRingWidth()`
    `java.lang.Boolean` | `getShowTickLabels()`
    `java.lang.Boolean` | `getShowTicks()`
    `java.lang.String` | `getTickColor()`
    `java.lang.Integer` | `getTickPadding()`
    `java.lang.Number[]` | `getTicks()`
    `java.lang.Integer` | `getTickSpacing()`
    `java.lang.Number` | `getValue()`
    `void` | `setBackground(java.lang.String background)`
    `void` | `setDiameter(java.lang.Integer diameter)`
    `void` | `setHubRadius(java.lang.Integer hubRadius)`
    `void` | `setIntervalColors(java.lang.String[] intervalColors)`
    `void` | `setIntervalInnerRadius(java.lang.Number intervalInnerRadius)`
    `void` | `setIntervalOuterRadius(java.lang.Number intervalOuterRadius)`
    `void` | `setIntervals(java.lang.Number[] intervals)`
    `void` | `setLabel(java.lang.String label)` Set the label of the chart used in the Legend etc.
    `void` | `setLabelHeightAdjust(java.lang.Integer labelHeightAdjust)`
    `void` | `setLabelPosition(GaugeSeries.LabelPosition labelPosition)`
    `void` | `setMax(java.lang.Number max)`
    `void` | `setMin(java.lang.Number min)`
    `void` | `setNeedlePad(java.lang.Integer needlePad)`
    `void` | `setNeedleThickness(java.lang.Integer needleThickness)`
    `void` | `setPadding(java.lang.Number padding)`
    `void` | `setPegNeedle(java.lang.Boolean pegNeedle)`
    `void` | `setRingColor(java.lang.String ringColor)`
    `void` | `setRingWidth(java.lang.Integer ringWidth)`
    `void` | `setShowTickLabels(java.lang.Boolean showTickLabels)`
    `void` | `setShowTicks(java.lang.Boolean showTicks)`
    `void` | `setTickColor(java.lang.String tickColor)`
    `void` | `setTickPadding(java.lang.Integer tickPadding)`
    `void` | `setTicks(java.lang.Number[] ticks)`
    `void` | `setTickSpacing(java.lang.Integer tickSpacing)`
    `void` | `setValue(java.lang.Number value)`

    - ### Methods inherited from class org.icefaces.ace.model.chart.ChartSeries

      `clear, getColor, getData, getFill, getFillAlpha, getFillToZero, getLineCap, getLineJoin, getLineWidth, getSeriesColors, getShadow, getShadowAlpha, getShadowAngle, getShadowDepth, getShadowOffset, getShow, getShowMarker, getType, getUseNegativeColors, getXAxis, getYAxis, setColor, setData, setFill, setFillAlpha, setFillToZero, setInCfgObject, setInCfgObject, setInCfgObject, setInCfgObject, setLineCap, setLineJoin, setLineWidth, setSeriesColors, setShadow, setShadowAlpha, setShadowAngle, setShadowDepth, setShadowOffset, setShow, setShowMarker, setType, setUseNegativeColors, setXAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          public java.lang.String label

    - #### labelPosition

          public GaugeSeries.LabelPosition labelPosition

    - #### background

          public java.lang.String background

    - #### ringColor

          public java.lang.String ringColor

    - #### tickColor

          public java.lang.String tickColor

    - #### ringWidth

          public java.lang.Integer ringWidth

    - #### labelHeightAdjust

          public java.lang.Integer labelHeightAdjust

    - #### diameter

          public java.lang.Integer diameter

    - #### padding

          public java.lang.Number padding

    - #### value

          public java.lang.Number value

    - #### min

          public java.lang.Number min

    - #### max

          public java.lang.Number max

    - #### intervalOuterRadius

          public java.lang.Number intervalOuterRadius

    - #### intervalInnerRadius

          public java.lang.Number intervalInnerRadius

    - #### hubRadius

          public java.lang.Integer hubRadius

    - #### tickSpacing

          public java.lang.Integer tickSpacing

    - #### tickPadding

          public java.lang.Integer tickPadding

    - #### needleThickness

          public java.lang.Integer needleThickness

    - #### needlePad

          public java.lang.Integer needlePad

    - #### ticks

          public java.lang.Number[] ticks

    - #### intervals

          public java.lang.Number[] intervals

    - #### intervalColors

          public java.lang.String[] intervalColors

    - #### showTicks

          public java.lang.Boolean showTicks

    - #### showTickLabels

          public java.lang.Boolean showTickLabels

    - #### pegNeedle

          public java.lang.Boolean pegNeedle

  - ### Constructor Detail

    - #### GaugeSeries

          public GaugeSeries(java.lang.Number value)

    - #### GaugeSeries

          public GaugeSeries()

  - ### Method Detail

    - #### getDataJSON

          public JSONBuilder getDataJSON(javax.faces.component.UIComponent component)

      Overrides:
        `getDataJSON` in class `ChartSeries`

    - #### encodeRendererOptions

          public void encodeRendererOptions(JSONBuilder cfg)

      Specified by:
        `encodeRendererOptions` in class `ChartSeries`

    - #### getConfigJSON

          public JSONBuilder getConfigJSON(javax.faces.component.UIComponent component)

      Overrides:
        `getConfigJSON` in class `ChartSeries`

    - #### getValue

          public java.lang.Number getValue()

      Returns:
        the value of displayed on the gauge

    - #### setValue

          public void setValue(java.lang.Number value)

      Parameters:
        `value` - the value of displayed on the gauge

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from class: `ChartSeries`
      Return the label of the chart.
      Overrides:
        `getLabel` in class `ChartSeries`
      Returns:
        the label displayed on the gauge

    - #### setLabel

          public void setLabel(java.lang.String label)

      Description copied from class: `ChartSeries`
      Set the label of the chart used in the Legend etc.
      Overrides:
        `setLabel` in class `ChartSeries`
      Parameters:
        `label` - String the label displayed on the gauge

    - #### getPegNeedle

          public java.lang.Boolean getPegNeedle()

      Returns:
        does gauge stop needle just below/above the min/max values if data is below/above min/max, as if the meter is 'pegged'.

    - #### setPegNeedle

          public void setPegNeedle(java.lang.Boolean pegNeedle)

      Parameters:
        `pegNeedle` - does gauge stop needle just below/above the min/max values if data is below/above min/max, as if the meter is 'pegged'.

    - #### getShowTickLabels

          public java.lang.Boolean getShowTickLabels()

      Returns:
        does gauge show labels on ticks around the gauge

    - #### setShowTickLabels

          public void setShowTickLabels(java.lang.Boolean showTickLabels)

      Parameters:
        `showTickLabels` - does gauge show labels on ticks around the gauge

    - #### getShowTicks

          public java.lang.Boolean getShowTicks()

      Returns:
        does gauge show ticks around the gauge

    - #### setShowTicks

          public void setShowTicks(java.lang.Boolean showTicks)

      Parameters:
        `showTicks` - does gauge show ticks around the gauge

    - #### getIntervalColors

          public java.lang.String[] getIntervalColors()

      Returns:
        array of CSS color definitions used for the intervals of the gauge

    - #### setIntervalColors

          public void setIntervalColors(java.lang.String[] intervalColors)

      Parameters:
        `intervalColors` - array of CSS color definitions used for the intervals of the gauge

    - #### getIntervals

          public java.lang.Number[] getIntervals()

      Returns:
        array of Numbers delineating the intervals of the gauge

    - #### setIntervals

          public void setIntervals(java.lang.Number[] intervals)

      Parameters:
        `intervals` - array of Numbers delineating the intervals of the gauge

    - #### getTicks

          public java.lang.Number[] getTicks()

      Returns:
        array of number around the gauge at which to render ticks. Auto computed on client by default.

    - #### setTicks

          public void setTicks(java.lang.Number[] ticks)

      Parameters:
        `ticks` - array of number around the gauge at which to render ticks. Auto computed on client by default.

    - #### getNeedlePad

          public java.lang.Integer getNeedlePad()

      Returns:
        pixels of padding between the needle and the inner edge of the ring when the needle is at the min or max of the gauge.

    - #### setNeedlePad

          public void setNeedlePad(java.lang.Integer needlePad)

      Parameters:
        `needlePad` - pixels of padding between the needle and the inner edge of the ring when the needle is at the min or max of the gauge.

    - #### getNeedleThickness

          public java.lang.Integer getNeedleThickness()

      Returns:
        pixels of thickness at the widest point of the needle

    - #### setNeedleThickness

          public void setNeedleThickness(java.lang.Integer needleThickness)

      Parameters:
        `needleThickness` - pixels of thickness at the widest point of the needle

    - #### getTickPadding

          public java.lang.Integer getTickPadding()

      Returns:
        pixels of padding of the tick marks to the outer ring and the tick labels to marks

    - #### setTickPadding

          public void setTickPadding(java.lang.Integer tickPadding)

      Parameters:
        `tickPadding` - pixels of padding of the tick marks to the outer ring and the tick labels to marks

    - #### getTickSpacing

          public java.lang.Integer getTickSpacing()

      Returns:
        degrees between ticks (if not using explicit ticks)

    - #### setTickSpacing

          public void setTickSpacing(java.lang.Integer tickSpacing)

      Parameters:
        `tickSpacing` - degrees between ticks (if not using explicit ticks)

    - #### getHubRadius

          public java.lang.Integer getHubRadius()

      Returns:
        pixel radius of the hub at the bottom center of gauge which the needle attaches to. Auto computed on the client by default.

    - #### setHubRadius

          public void setHubRadius(java.lang.Integer hubRadius)

      Parameters:
        `hubRadius` - pixel radius of the hub at the bottom center of gauge which the needle attaches to. Auto computed on the client by default.

    - #### getIntervalInnerRadius

          public java.lang.Number getIntervalInnerRadius()

      Returns:
        pixel radius of the inner circle of the interval ring. Auto computed on the client by default.

    - #### setIntervalInnerRadius

          public void setIntervalInnerRadius(java.lang.Number intervalInnerRadius)

      Parameters:
        `intervalInnerRadius` - pixel radius of the inner circle of the interval ring. Auto computed on the client by default.

    - #### getIntervalOuterRadius

          public java.lang.Number getIntervalOuterRadius()

      Returns:
        pixel radius of the outer circle of the interval ring. Auto computed on the client by default.

    - #### setIntervalOuterRadius

          public void setIntervalOuterRadius(java.lang.Number intervalOuterRadius)

      Parameters:
        `intervalOuterRadius` - pixel radius of the outer circle of the interval ring. Auto computed on the client by default.

    - #### getMax

          public java.lang.Number getMax()

      Returns:
        maximum value on the gauge.

    - #### setMax

          public void setMax(java.lang.Number max)

      Parameters:
        `max` - maximum value on the gauge.

    - #### getMin

          public java.lang.Number getMin()

      Returns:
        minimum value on the gauge.

    - #### setMin

          public void setMin(java.lang.Number min)

      Parameters:
        `min` - minimum value on the gauge.

    - #### getPadding

          public java.lang.Number getPadding()

      Returns:
        pixels of padding between the meterGauge and plot edges, auto calculated on the client by default.

    - #### setPadding

          public void setPadding(java.lang.Number padding)

      Parameters:
        `padding` - pixels of padding between the meterGauge and plot edges, auto calculated on the client by default.

    - #### getDiameter

          public java.lang.Integer getDiameter()

      Returns:
        outer diameter of the gauge in pixels, auto calculated on the client by default.

    - #### setDiameter

          public void setDiameter(java.lang.Integer diameter)

      Parameters:
        `diameter` - outer diameter of the gauge in pixels, auto calculated on the client by default.

    - #### getLabelHeightAdjust

          public java.lang.Integer getLabelHeightAdjust()

      Returns:
        pixels of offset of the label up (-) or down (+) from its default position.

    - #### setLabelHeightAdjust

          public void setLabelHeightAdjust(java.lang.Integer labelHeightAdjust)

      Parameters:
        `labelHeightAdjust` - pixels of offset of the label up (-) or down (+) from its default position.

    - #### getRingWidth

          public java.lang.Integer getRingWidth()

      Returns:
        pixel width of the ring around the guage. Auto computed by default.

    - #### setRingWidth

          public void setRingWidth(java.lang.Integer ringWidth)

      Parameters:
        `ringWidth` - pixel width of the ring around the guage. Auto computed by default.

    - #### getTickColor

          public java.lang.String getTickColor()

      Returns:
        CSS color definition of the tick marks around the gauge

    - #### setTickColor

          public void setTickColor(java.lang.String tickColor)

      Parameters:
        `tickColor` - CSS color definition of the tick marks around the gauge

    - #### getRingColor

          public java.lang.String getRingColor()

      Returns:
        CSS color definition of the ring around the gauge and the needle

    - #### setRingColor

          public void setRingColor(java.lang.String ringColor)

      Parameters:
        `ringColor` - CSS color definition of the ring around the gauge and the needle

    - #### getBackground

          public java.lang.String getBackground()

      Returns:
        CSS color definition of the background inside the gauge

    - #### setBackground

          public void setBackground(java.lang.String background)

      Parameters:
        `background` - CSS color definition of the background inside the gauge

    - #### getLabelPosition

          public GaugeSeries.LabelPosition getLabelPosition()

      Returns:
        where to position the label- either 'inside' or 'bottom'

    - #### setLabelPosition

          public void setLabelPosition(GaugeSeries.LabelPosition labelPosition)

      Parameters:
        `labelPosition` - where to position the label- either 'inside' or 'bottom'

    - #### getDefaultType

          public ChartSeries.ChartType getDefaultType()

      Specified by:
        `getDefaultType` in class `ChartSeries`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.